libwpg: WPGHeader Class Reference documentation

# WPGHeader Class Reference

`#include <WPGHeader.h>`

List of all members.

## Public Member Functions
| WPGHeader ()
bool | load (WPXInputStream *input)
bool | isSupported () const
unsigned long | startOfDocument () const
int | majorVersion () const
## Private Attributes
unsigned char | m_identifier [4]
unsigned long | m_startOfDocument
unsigned char | m_productType
unsigned char | m_fileType
unsigned char | m_majorVersion
unsigned char | m_minorVersion
unsigned int | m_encryptionKey
unsigned int | m_startOfPacketData
unsigned char | m_entryCount
unsigned char | m_resourceComplete
unsigned int | m_encryptionBlockOffset
unsigned long | m_fileSize
unsigned int | m_encryptVersion

## Constructor & Destructor Documentation

WPGHeader::WPGHeader | ( |  | ) |

## Member Function Documentation

bool WPGHeader::load | ( | WPXInputStream * | input | ) |

Referenced by libwpg::WPGraphics::isSupported().

bool WPGHeader::isSupported | ( |  | ) | const

Referenced by libwpg::WPGraphics::isSupported().

unsigned long WPGHeader::startOfDocument | ( |  | ) | const

int WPGHeader::majorVersion | ( |  | ) | const

## Member Data Documentation

unsigned char WPGHeader::m_identifier[4]`[private]`

Referenced by isSupported(), load(), and WPGHeader().

unsigned long WPGHeader::m_startOfDocument`[private]`

Referenced by load(), and startOfDocument().

unsigned char WPGHeader::m_productType`[private]`

Referenced by isSupported(), and load().

unsigned char WPGHeader::m_fileType`[private]`

Referenced by isSupported(), and load().

unsigned char WPGHeader::m_majorVersion`[private]`

Referenced by isSupported(), load(), and majorVersion().

unsigned char WPGHeader::m_minorVersion`[private]`

Referenced by isSupported(), and load().

unsigned int WPGHeader::m_encryptionKey`[private]`

Referenced by isSupported(), and load().

unsigned int WPGHeader::m_startOfPacketData`[private]`

Referenced by load().

unsigned char WPGHeader::m_entryCount`[private]`

unsigned char WPGHeader::m_resourceComplete`[private]`

unsigned int WPGHeader::m_encryptionBlockOffset`[private]`

unsigned long WPGHeader::m_fileSize`[private]`

unsigned int WPGHeader::m_encryptVersion`[private]`

The documentation for this class was generated from the following files:

- WPGHeader.h
- WPGHeader.cpp